> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.aventure.vc/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.aventure.vc/_mcp/server.

# List fundraise rounds

GET https://api.aventure.vc/v1/entities/detail/fundraise-rounds

Lists fundraise rounds for an entity. Use --entity-id or --entity-slug for the fundraising/portfolio company that raised the round — always a company, never the fund or investment firm. For an investment made by an Investment Firm, pass the portfolio company that received the money here, not the investment firm id and not the round id.

Reference: https://docs.aventure.vc/api-reference/a-venture-api/entity-fundraise/entity-fundraises

## Authentication

- `X-Client-Secret` header (required) — Client secret for read-only service-to-service access (no writes)

## Request

### Query parameters

- `id` (string, optional) — Owner-scoped resource UUID selector.
- `slug` (string, optional) — Owner-scoped resource slug selector.
- `round` (string, optional) — Round label contains filter
- `dateFrom` (date, optional) — Inclusive minimum announced date
- `dateTo` (date, optional) — Inclusive maximum announced date
- `minAmount` (long, optional) — Inclusive minimum amount raised. Use a plain whole-number amount such as 500000; do not include currency signs, codes, comma grouping, decimals, or strings.
- `maxAmount` (long, optional) — Inclusive maximum amount raised. Use a plain whole-number amount such as 50000000; do not include currency signs, codes, comma grouping, decimals, or strings.
- `permitMonogram` (boolean, optional) — Permit monogram fallback
- `cursor` (string, optional) — Opaque URL-safe cursor token from X-Next-Cursor. Reuse the same filters and sort.
- `page` (integer, optional, default: 0) — Zero-based page index (0..N)
- `size` (integer, optional, default: 20) — The size of the page to be returned
- `sort` (list of string, optional) — Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

## Response

### 200

OK

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.aventure.vc/v1/entities/detail/fundraise-rounds"

querystring = {"dateFrom":"2022-01-01","dateTo":"2024-12-31","id":"04e2bf9c-a100-72ad-83ff-ba69c647b30b","maxAmount":"50000000","minAmount":"500000","round":"Series A","slug":"acme-corp"}

headers = {"X-Client-Secret": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.aventure.vc/v1/entities/detail/fundraise-rounds?dateFrom=2022-01-01&dateTo=2024-12-31&id=04e2bf9c-a100-72ad-83ff-ba69c647b30b&maxAmount=50000000&minAmount=500000&round=Series+A&slug=acme-corp';
const options = {method: 'GET', headers: {'X-Client-Secret': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.aventure.vc/v1/entities/detail/fundraise-rounds?dateFrom=2022-01-01&dateTo=2024-12-31&id=04e2bf9c-a100-72ad-83ff-ba69c647b30b&maxAmount=50000000&minAmount=500000&round=Series+A&slug=acme-corp"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Client-Secret", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.aventure.vc/v1/entities/detail/fundraise-rounds?dateFrom=2022-01-01&dateTo=2024-12-31&id=04e2bf9c-a100-72ad-83ff-ba69c647b30b&maxAmount=50000000&minAmount=500000&round=Series+A&slug=acme-corp")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Client-Secret"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.aventure.vc/v1/entities/detail/fundraise-rounds?dateFrom=2022-01-01&dateTo=2024-12-31&id=04e2bf9c-a100-72ad-83ff-ba69c647b30b&maxAmount=50000000&minAmount=500000&round=Series+A&slug=acme-corp")
  .header("X-Client-Secret", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.aventure.vc/v1/entities/detail/fundraise-rounds?dateFrom=2022-01-01&dateTo=2024-12-31&id=04e2bf9c-a100-72ad-83ff-ba69c647b30b&maxAmount=50000000&minAmount=500000&round=Series+A&slug=acme-corp', [
  'headers' => [
    'X-Client-Secret' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.aventure.vc/v1/entities/detail/fundraise-rounds?dateFrom=2022-01-01&dateTo=2024-12-31&id=04e2bf9c-a100-72ad-83ff-ba69c647b30b&maxAmount=50000000&minAmount=500000&round=Series+A&slug=acme-corp");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Client-Secret", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Client-Secret": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.aventure.vc/v1/entities/detail/fundraise-rounds?dateFrom=2022-01-01&dateTo=2024-12-31&id=04e2bf9c-a100-72ad-83ff-ba69c647b30b&maxAmount=50000000&minAmount=500000&round=Series+A&slug=acme-corp")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```